# Uses of Class
com.google.protobuf.ExtensionRegistry.ExtensionInfo

Packages that use ExtensionRegistry.ExtensionInfo
Package
Description
com.google.protobuf

## Uses of ExtensionRegistry.ExtensionInfo in com.google.protobuf

Methods in com.google.protobuf that return ExtensionRegistry.ExtensionInfo
Modifier and Type
Method
Description
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findExtensionByName(String fullName)`
Deprecated.
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findExtensionByNumber(Descriptors.Descriptor containingType, int fieldNumber)`
Deprecated.
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findImmutableExtensionByName(String fullName)`
Find an extension for immutable APIs by fully-qualified field name, in the proto namespace.
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findImmutableExtensionByNumber(Descriptors.Descriptor containingType, int fieldNumber)`
Find an extension by containing type and field number for immutable APIs.
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findMutableExtensionByName(String fullName)`
Deprecated.
`ExtensionRegistry.ExtensionInfo`
ExtensionRegistry.`findMutableExtensionByNumber(Descriptors.Descriptor containingType, int fieldNumber)`
Deprecated.
Methods in com.google.protobuf that return types with arguments of type ExtensionRegistry.ExtensionInfo
Modifier and Type
Method
Description
`Set<ExtensionRegistry.ExtensionInfo>`
ExtensionRegistry.`getAllImmutableExtensionsByExtendedType(String fullName)`
Find all extensions for immutable APIs by fully-qualified name of extended class.
`Set<ExtensionRegistry.ExtensionInfo>`
ExtensionRegistry.`getAllMutableExtensionsByExtendedType(String fullName)`
Deprecated.